"use strict";

{
	C3.Behaviors.mcube_rexspline.Acts =
	{
		SetEnabled(en)
		{
			this.enabled = (en === 1);
	    },
	    
		SetAngleEnabled(en)
		{
			this.setAngle = (en === 1);
		},
	    
		AddPoint(x, y)
		{
	        this.points.push([x,y]);
		}, 
	    
		ResetPoint(i, x, y)
		{
	        if (this.is_moving)
	        {
	            var idxp1 = this.curSeg.ptr;
	            var idxp2 = this.curSeg.ptr+1;
	            if ((idxp1 === i) || (idxp2 === i))
	                return;
	        }
	        
	        if (i < 0)
	        {
	            this.points.unshift([x, y]);
	        }            
	        else if (i < this.points.length)
	        {
	            var p = this.points[i];
	            p[0] = x;
	            p[1] = y;            
	        }
	        else
	        {
	            this.points.push([x,y]);
	        }       
		},

		CleanAll()
		{
	        this.points.length = 0;        
	        this.is_moving = false;  // stop
		},
	    
		Start()
		{
			//console.log("trigger start!");
	        this.start();     
		},
	    
		Stop()
		{
	        this.is_moving = false;  // stop    
		},
	     
		SetSpeed(spd)
		{
			this.speed = spd;
		},     
	      
		SetLooping(en)
		{
			this.isLooping = (en === 1);
		},   
	      
		SetTension(tension)
		{
			this.tension = tension;
		} 
	};
}