"use strict";

{
	C3.Behaviors.mcube_rexspline.Exps =
	{

		Speed()
		{
			return (this.speed);
		},   

		Tension()
		{
			return (this.tension);
		},

		AngleOfMotion()
		{
			//return ( _cr.to_clamped_degrees(this.movingAngle) );
			if(typeof this.movingAngle != "undefined") {
				//return ( this.movingAngle );
				return ( this.getMovingAngle() );
			} else {
				return 0;
			}
		},

		Point(idx, part)
		{
	        var val = this.points;
	        if (idx != null)
	            val = val[idx];
	        if ((val != null) && (part != null))
	        {
	            if ((part === 0) || (part === "x") || (part === "X"))
	                val = val[0];
	            else if ((part === 1) || (part === "y") || (part === "Y"))
	                val = val[1];
	        }
	            
			return (din(val));
		},

		CurSegP0(part)
		{
	        var val = this.curSeg.ptr;
	        if (part != null)
	        {
	            val = this.points[val];
	            if (val != null)
	            {
	                if ((part === 0) || (part === "x") || (part === "X"))
	                    val = val[0];
	                else if ((part === 1) || (part === "y") || (part === "Y"))
	                    val = val[1];
	            }
	            else
	                val = 0;
	        }
			return (val);
		},

		CurSegP1(part)
		{  
	        var val = this.wrapIndex(this.curSeg.ptr + 1);  
	        if (part != null)
	        {
	            val = this.points[val];
	            if (val != null)
	            {
	                if ((part === 0) || (part === "x") || (part === "X"))
	                    val = val[0];
	                else if ((part === 1) || (part === "y") || (part === "Y"))
	                    val = val[1];
	            }
	            else
	                val = 0;
	        }        
			return (val);
		},

		PointsCount()
		{    
			return (this.points.length);
		},
	    
		TraveledDistance()
		{
			return (this.traveledDist);
		}
	};
}